"This script inserts the APSL header notices into the Squeak source files (SqueakV1.sources and Squeak1.1.changes) as required by the agreement between Viewpoints Research and Apple."
| notice oldName oldFile newFile line delta |
notice _ '
"Copyright (c) 1996 Apple Computer, Inc. All Rights Reserved.

This file contains Original Code and/or Modifications of Original Code as defined in and 
that are subject to the Apple Public Source License Version 2.0 (the ''License''). You may not use this file except in compliance with the License. Please obtain a copy of the License at http://www.opensource.apple.com/apsl/ and read it before using this file. 

The Original Code and all software distributed under the License are distributed on an ''AS IS'' basis, WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, AND APPLE HEREBY 
DISCLAIMS ALL SUCH WARRANTIES, INCLUDING WITHOUT LIMITATION, ANY WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, QUIET ENJOYMENT OR NONINFRINGEMENT.

Please see the License for the specific language governing rights and 
limitations under the License."!
'.
Smalltalk closeSourceFiles.
#('SqueakV1.sources' 'Squeak1.1.changes') do:[:newName|
	oldName _ newName, '.old'.
	FileDirectory default rename: newName toBe: oldName.
	oldFile _ FileDirectory default readOnlyFileNamed: oldName.
	newFile _ FileDirectory default newFileNamed: newName.
	line _ oldFile upTo: Character cr.
	newFile nextPutAll: line; cr.
	newFile nextPutAll: notice.
	[oldFile atEnd] whileFalse:[newFile nextPutAll: (oldFile next: 4000)].
	oldFile close.
	newFile close.
].
delta _ notice size.
CompiledMethod allInstancesDo:[:cm|
	cm setSourcePosition: cm filePosition + delta 
		inFile: cm fileIndex 
].
Smalltalk openSourceFiles.
"SourceFiles _ Array with: (FileDirectory default readOnlyFileNamed: 'SqueakV1.sources') with: (FileDirectory default oldFileNamed: 'Squeak1.1.changes')"